org.tmatesoft.svn.core.wc

## Class SVNCommitItem

- java.lang.Object
- - org.tmatesoft.svn.core.wc.SVNCommitItem

-     public class SVNCommitItem
      extends java.lang.Object

  The SVNCommitItem represents a versioned item that is to be committed to a repository.

  Used to wrap information about a versioned item into a single object. A commit item can represent either a Working Copy item (speaking of committing local changes in WC files and directories) or one that is located in a repository (for example, when deleting a file/directory right from a repository).

  When you call SVNCommitClient's `doCollectCommitItems()` this methods processes the specified paths and collects information on items to be committed in SVNCommitItem objects which are packed into a single SVNCommitPacket object. This object is returned by the method to the caller.

  Since:
    1.2
  Version:
    1.3
  Author:
    TMate Software Ltd.
  See Also:
    `SVNCommitPacket`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SVNCommitItem(java.io.File file, SVNURL URL, SVNURL copyFromURL, SVNNodeKind kind, SVNRevision revision, SVNRevision copyFromRevision, boolean isAdded, boolean isDeleted, boolean isPropertiesModified, boolean isContentsModified, boolean isCopied, boolean locked)` Constructs and initializes an SVNCommitItem object.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `SVNRevision` | `getCopyFromRevision()` Gets the revision of the versioned item's ancestor from which the item was copied.
    `SVNURL` | `getCopyFromURL()` Gets the repository location of the versioned item's ancestor from which the item was copied.
    `java.io.File` | `getFile()` Gets the location of the Working Copy item.
    `SVNNodeKind` | `getKind()` Gets the node kind of the versioned item.
    `java.util.Map` | `getOutgoingProperties()` Returns properties to commit.
    `java.lang.String` | `getPath()` Gets the item's relevant path.
    `SVNRevision` | `getRevision()` Gets the revision of the versioned item .
    `SVNURL` | `getURL()` Gets the versioned item's repository location.
    `org.tmatesoft.svn.core.internal.wc.admin.SVNWCAccess` | `getWCAccess()` This method is not intended for users (from an API point of view).
    `boolean` | `isAdded()` Determines if the item is to be added to version control.
    `boolean` | `isContentsModified()` Determines if the Working Copy item has local edits to its contents.
    `boolean` | `isCopied()` Determines if the item is to be added to version control with history.
    `boolean` | `isDeleted()` Determines if the item is to be deleted from version control.
    `boolean` | `isLocked()` Determines whether the item needs to be locked.
    `boolean` | `isPropertiesModified()` Determines if the Working Copy item has local edits to properties.
    `void` | `setPath(java.lang.String path)` Sets the item's relevant path.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SVNCommitItem

          public SVNCommitItem(java.io.File file,
                       SVNURL URL,
                       SVNURL copyFromURL,
                       SVNNodeKind kind,
                       SVNRevision revision,
                       SVNRevision copyFromRevision,
                       boolean isAdded,
                       boolean isDeleted,
                       boolean isPropertiesModified,
                       boolean isContentsModified,
                       boolean isCopied,
                       boolean locked)

      Constructs and initializes an SVNCommitItem object.
      Parameters:
        `file` - a WC item's location
        `URL` - the item's repository location
        `copyFromURL` - the repository location of the item's ancestor (if the item was or to be copied)
        `kind` - the item's node kind
        `revision` - the item's revision
        `copyFromRevision` - the revision of the item's ancestor it's copied from
        `isAdded` - true if the item is to be added to version control, otherwise false
        `isDeleted` - true if the item is to be deleted from version control, otherwise false
        `isPropertiesModified` - true if the item's properties have local changes, otherwise false
        `isContentsModified` - true if the item's contents (file contents or directory entries) have local changes, otherwise false
        `isCopied` - true if the item is to be added to version control with history, otherwise false
        `locked` - true if the item is to be locked, otherwise false

  - ### Method Detail

    - #### getRevision

          public SVNRevision getRevision()

      Gets the revision of the versioned item . For a WC item it is the current working revision.
      Returns:
        the revision of the item to be committed

    - #### getCopyFromRevision

          public SVNRevision getCopyFromRevision()

      Gets the revision of the versioned item's ancestor from which the item was copied.
      Returns:
        the revision the item was copied from

    - #### getFile

          public java.io.File getFile()

      Gets the location of the Working Copy item.
      Returns:
        the item's local path

    - #### getURL

          public SVNURL getURL()

      Gets the versioned item's repository location.
      Returns:
        the item's URL pointing to its repository location

    - #### getCopyFromURL

          public SVNURL getCopyFromURL()

      Gets the repository location of the versioned item's ancestor from which the item was copied.
      Returns:
        the URL of the copy source in an `SVNURL` representation

    - #### getKind

          public SVNNodeKind getKind()

      Gets the node kind of the versioned item.
      Returns:
        the item's node kind

    - #### isAdded

          public boolean isAdded()

      Determines if the item is to be added to version control.
      Returns:
        true if added, otherwise false

    - #### isDeleted

          public boolean isDeleted()

      Determines if the item is to be deleted from version control.
      Returns:
        true if deleted, otherwise false

    - #### isPropertiesModified

          public boolean isPropertiesModified()

      Determines if the Working Copy item has local edits to properties.
      Returns:
        true if the properties have local changes, otherwise false

    - #### isContentsModified

          public boolean isContentsModified()

      Determines if the Working Copy item has local edits to its contents. If the item is a file - that is the file contents, a directory - the directory contents (meaning entries).
      Returns:
        true if the contents have local changes, otherwise false

    - #### isCopied

          public boolean isCopied()

      Determines if the item is to be added to version control with history.
      Returns:
        true if added with history (copied in other words), otherwise false

    - #### isLocked

          public boolean isLocked()

      Determines whether the item needs to be locked.
      Returns:
        true if locked, otherwise false

    - #### getPath

          public java.lang.String getPath()

      Gets the item's relevant path. The path is relevant to the Working Copy root.
      Returns:
        the item's relevant path

    - #### setPath

          public void setPath(java.lang.String path)

      Sets the item's relevant path.
      Parameters:
        `path` - the item's path relevant to the Working Copy root

    - #### getWCAccess

          public org.tmatesoft.svn.core.internal.wc.admin.SVNWCAccess getWCAccess()

      This method is not intended for users (from an API point of view).
      Returns:
        wc access object

    - #### getOutgoingProperties

          public java.util.Map getOutgoingProperties()

      Returns properties to commit.
      Returns:
        properties to commit

Copyright © 2004-2009 TMate Software Ltd. All Rights Reserved.